%define module_name JSON-Create
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(B.pm) perl(Carp.pm) perl(Cpanel/JSON/XS.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(JSON/PP.pm) perl(JSON/Parse.pm) perl(JSON/Tiny.pm) perl(JSON/XS.pm) perl(POSIX.pm) perl(Scalar/Util.pm) perl(Text/Table/Tiny.pm) perl(Types/Serialiser.pm) perl(Unicode/UTF8.pm) perl(boolean.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.35
Release: alt2
Summary: fast, minimal, UTF-8-only serialization of data to JSON
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BK/BKB/%{module_name}-%{version}.tar.gz

%description
JSON::Create encodes Perl variables into the JSON format. It offers
the create_json entry elsewhere in this document, which uses common defaults, the create_json_strict entry elsewhere in this document,
which accepts only unambiguous inputs, and a customizable object
created with the new entry elsewhere in this document and run with the run entry elsewhere in this document where the user can specify a
variety of behaviours.

JSON::Create aims to provide fast and minimal serialization of data
types. It handles no string encoding except UTF-8. The module supports
serialization of objects and other non-data types via user-defined
callbacks.

Errors in processing result in a warning and an undefined return
value. This behaviour can be altered with the method the fatal_errors entry elsewhere in this document.

This module documentation is generated from machine readable code. All
of the example programs in this documentation may be found in the
directory examples/ in the distribution. All of the example outputs
displayed were generated by running the example programs.

This module is a companion to the JSON::Parse manpage for parsing JSON into
Perl.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_archlib/J*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.35-alt2
- rebuild with perl 5.38

* Sun Jul 18 2021 Igor Vlasenko <viy@altlinux.ru> 0.35-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.34-alt2
- rebuild with perl 5.34.0

* Tue May 04 2021 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1
- updated by package builder

* Thu Apr 29 2021 Igor Vlasenko <viy@altlinux.ru> 0.33-alt1
- updated by package builder

* Thu Feb 25 2021 Igor Vlasenko <viy@altlinux.ru> 0.32-alt1
- updated by package builder

* Tue Feb 16 2021 Igor Vlasenko <viy@altlinux.ru> 0.31-alt1
- updated by package builder

* Thu Dec 24 2020 Igor Vlasenko <viy@altlinux.ru> 0.29-alt1
- updated by package builder

* Thu Nov 26 2020 Igor Vlasenko <viy@altlinux.ru> 0.28-alt1
- updated by package builder

* Sun Nov 22 2020 Igor Vlasenko <viy@altlinux.ru> 0.26-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.25-alt2
- rebuild with perl 5.30

* Mon Feb 24 2020 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.24-alt2.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.24-alt2
- rebuild with perl 5.26

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.24-alt1
- regenerated from template by package builder

* Mon Feb 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.22-alt2
- rebuild with perl 5.24

* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.22-alt1
- regenerated from template by package builder

* Wed Jul 06 2016 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1
- regenerated from template by package builder

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1.1
- rebuild with perl 5.22

* Thu Nov 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Sat Nov 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- regenerated from template by package builder

* Thu Nov 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Mon Oct 26 2015 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Fri Oct 23 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

